org.apache.fontbox.cff

## Class FDSelect

- java.lang.Object
- - org.apache.fontbox.cff.FDSelect

    public abstract class FDSelect
    extends Object

### Field Summary

Fields
`protected CFFCIDFont` `owner`

### Constructor Summary

Constructors
Constructor and Description
`FDSelect(CFFCIDFont owner)` Constructor.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract int` `getFDIndex(int gid)` Returns the Font DICT index for the given GID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### owner

    protected final CFFCIDFont owner

### Constructor Detail

#### FDSelect

    public FDSelect(CFFCIDFont owner)

Constructor.

Parameters:
  `owner` - the owner of the FDSelect data.

### Method Detail

#### getFDIndex

    public abstract int getFDIndex(int gid)

Returns the Font DICT index for the given GID.

Parameters:
  `gid` - GID